ScriptWriterParserInternal::Paragraph Struct Reference

Internal: the paragraph of a ScriptWriterParser. More...

## Public Member Functions

| Paragraph ()
| constructor
bool | empty () const
| return true if the paragraph is empty

## Public Attributes

int | m_numChar
| the number of caracters
int | m_height
| the height
MWAWVec2i | m_position
| the position in the text zone
int | m_align
| the alignment

## Friends

std::ostream & | operator<< (std::ostream &o, Paragraph const &para)
| an operator<<

## Detailed Description

Internal: the paragraph of a ScriptWriterParser.

## Constructor & Destructor Documentation

## Paragraph()

ScriptWriterParserInternal::Paragraph::Paragraph | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## empty()

bool ScriptWriterParserInternal::Paragraph::empty | ( |  | ) | const

inline

return true if the paragraph is empty

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Paragraph const & | para )

friend

an operator<<

## Member Data Documentation

## m_align

int ScriptWriterParserInternal::Paragraph::m_align

the alignment

Referenced by operator<<, and Paragraph().

## m_height

int ScriptWriterParserInternal::Paragraph::m_height

the height

Referenced by operator<<, and Paragraph().

## m_numChar

int ScriptWriterParserInternal::Paragraph::m_numChar

the number of caracters

Referenced by empty(), operator<<, and Paragraph().

## m_position

MWAWVec2i ScriptWriterParserInternal::Paragraph::m_position

the position in the text zone

Referenced by operator<<, and Paragraph().

The documentation for this struct was generated from the following file:

- ScriptWriterParser.cxx